<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>himodel • himodel</title>
<!-- jquery --><script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script><!-- Bootstrap --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha256-916EbMg70RQy9LHiGkXzG8hSg9EdNy97GazNG/aiY1w=" crossorigin="anonymous">
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha256-U5ZEeKfGNOja007MMD3YBI0A3OSZOQbeG6z2f2Y0hu8=" crossorigin="anonymous"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.1/css/all.min.css" integrity="sha256-nAmazAk6vS34Xqo0BSrTb+abbtFlgsFK7NKSi6o7Y78=" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.1/css/v4-shims.min.css" integrity="sha256-6qHlizsOWFskGlwVOKuns+D1nB6ssZrHQrNj1wGplHc=" crossorigin="anonymous">
<!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.4/clipboard.min.js" integrity="sha256-FiZwavyI2V6+EXO1U+xzLG3IKldpiTFf3153ea9zikQ=" crossorigin="anonymous"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.9.4/headroom.min.js" integrity="sha256-DJFC1kqIhelURkuza0AvYal5RxMtpzLjFhsnVIeuk+U=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.9.4/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- pkgdown --><link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script><meta property="og:title" content="himodel">
<meta property="og:description" content="">
<meta name="twitter:card" content="summary">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
    <div class="container template-article">
      <header><div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">himodel</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.9</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
<li>
  <a href="../index.html">
    <span class="fas fa fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../articles/himodel.html">Get started</a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
      </ul>
<ul class="nav navbar-nav navbar-right"></ul>
</div>
<!--/.nav-collapse -->
  </div>
<!--/.container -->
</div>
<!--/.navbar -->

      

      </header><div class="row">
  <div class="col-md-9 contents">
    <div class="page-header toc-ignore">
      <h1>himodel</h1>
            
      
      
      <div class="hidden name"><code>himodel.Rmd</code></div>

    </div>

    
    
<div id="installation" class="section level4">
<h4 class="hasAnchor">
<a href="#installation" class="anchor"></a>Installation</h4>
<p>Install the package from GitLab using devtools:</p>
<div class="sourceCode" id="cb1"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb1-1" data-line-number="1"><span class="co"># install.packages("devtools")</span></a>
<a class="sourceLine" id="cb1-2" data-line-number="2">devtools<span class="op">::</span><span class="kw"><a href="https://devtools.r-lib.org//reference/remote-reexports.html">install_git</a></span>(</a>
<a class="sourceLine" id="cb1-3" data-line-number="3">  <span class="dt">url =</span> <span class="st">"https://gitlab.com/csb.ethz/himodel"</span>, </a>
<a class="sourceLine" id="cb1-4" data-line-number="4">  <span class="dt">build_vignettes =</span> <span class="ot">TRUE</span></a>
<a class="sourceLine" id="cb1-5" data-line-number="5">)</a></code></pre></div>
<p>Now you can load the package and get started:</p>
<div class="sourceCode" id="cb2"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb2-1" data-line-number="1"><span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span>(himodel)</a></code></pre></div>
</div>
<div id="perform-simple-hi-assay-simulation-for-one-serum-sample" class="section level4">
<h4 class="hasAnchor">
<a href="#perform-simple-hi-assay-simulation-for-one-serum-sample" class="anchor"></a>1. Perform simple HI assay simulation for one serum sample</h4>
<div class="sourceCode" id="cb3"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb3-1" data-line-number="1">serum_antibody =<span class="st"> </span><span class="dv">100</span> <span class="co"># nM</span></a>
<a class="sourceLine" id="cb3-2" data-line-number="2">K_d_app =<span class="st"> </span><span class="dv">1</span> <span class="co"># nm</span></a>
<a class="sourceLine" id="cb3-3" data-line-number="3">n_dil =<span class="st"> </span><span class="dv">9</span> <span class="co"># number of serial dilution steps</span></a>
<a class="sourceLine" id="cb3-4" data-line-number="4"></a>
<a class="sourceLine" id="cb3-5" data-line-number="5">assay_results &lt;-<span class="st"> </span><span class="kw"><a href="../reference/simulate_hiassay.html">simulate_hiassay</a></span>(serum_antibody, K_d_app, <span class="dt">n_dilutions =</span> n_dil)</a>
<a class="sourceLine" id="cb3-6" data-line-number="6"></a>
<a class="sourceLine" id="cb3-7" data-line-number="7"><span class="kw"><a href="https://rdrr.io/r/graphics/plot.html">plot</a></span>(assay_results)</a></code></pre></div>
<p><img src="himodel_files/figure-html/ex1_assay-1.png" width="700"></p>
<p>Based on the degree of hemagglutination, the model computes a probability of full hemaggltutination inhibition for each dilution step. By default, the model assumes that full inhibition corresponds to a hemagglutination degree below 25%:</p>
<div class="sourceCode" id="cb4"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb4-1" data-line-number="1">titer_results &lt;-<span class="st"> </span><span class="kw"><a href="../reference/predict_titer.html">predict_titer</a></span>(assay_results)</a>
<a class="sourceLine" id="cb4-2" data-line-number="2"></a>
<a class="sourceLine" id="cb4-3" data-line-number="3"><span class="co"># All input variables and results are stored in slot `data`:</span></a>
<a class="sourceLine" id="cb4-4" data-line-number="4"><span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span>(dplyr)</a>
<a class="sourceLine" id="cb4-5" data-line-number="5">titer_results<span class="op">@</span>data <span class="op">%&gt;%</span></a>
<a class="sourceLine" id="cb4-6" data-line-number="6"><span class="st">  </span>dplyr<span class="op">::</span><span class="kw"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span>(dilution_fact, inhibition_prob)</a>
<a class="sourceLine" id="cb4-7" data-line-number="7"><span class="co">#&gt;    dilution_fact inhibition_prob</span></a>
<a class="sourceLine" id="cb4-8" data-line-number="8"><span class="co">#&gt; 1              8    0.9756756662</span></a>
<a class="sourceLine" id="cb4-9" data-line-number="9"><span class="co">#&gt; 2             16    0.9683407684</span></a>
<a class="sourceLine" id="cb4-10" data-line-number="10"><span class="co">#&gt; 3             32    0.9129778795</span></a>
<a class="sourceLine" id="cb4-11" data-line-number="11"><span class="co">#&gt; 4             64    0.4579006409</span></a>
<a class="sourceLine" id="cb4-12" data-line-number="12"><span class="co">#&gt; 5            128    0.0338170349</span></a>
<a class="sourceLine" id="cb4-13" data-line-number="13"><span class="co">#&gt; 6            256    0.0032008662</span></a>
<a class="sourceLine" id="cb4-14" data-line-number="14"><span class="co">#&gt; 7            512    0.0008431203</span></a>
<a class="sourceLine" id="cb4-15" data-line-number="15"><span class="co">#&gt; 8           1024    0.0004310189</span></a>
<a class="sourceLine" id="cb4-16" data-line-number="16"><span class="co">#&gt; 9           2048    0.0003099215</span></a>
<a class="sourceLine" id="cb4-17" data-line-number="17"><span class="co">#&gt; 10          4096    0.0002634304</span></a></code></pre></div>
<p>The HI titer is the highest dilution factor which still shows inhibition:</p>
<div class="sourceCode" id="cb5"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb5-1" data-line-number="1">titer_results<span class="op">@</span>titer</a>
<a class="sourceLine" id="cb5-2" data-line-number="2"><span class="co">#&gt;   titer_predicted</span></a>
<a class="sourceLine" id="cb5-3" data-line-number="3"><span class="co">#&gt; 1              32</span></a>
<a class="sourceLine" id="cb5-4" data-line-number="4"><span class="kw"><a href="https://rdrr.io/r/graphics/plot.html">plot</a></span>(titer_results)</a></code></pre></div>
<p><img src="himodel_files/figure-html/ex1_plot-1.png" width="700"></p>
</div>
<div id="perform-hi-assays-for-multiple-serum-samples-with-same-avidity" class="section level4">
<h4 class="hasAnchor">
<a href="#perform-hi-assays-for-multiple-serum-samples-with-same-avidity" class="anchor"></a>2. Perform HI assays for multiple serum samples with same avidity</h4>
<p>Works similar as before, you just need to provide the antibody concentrations in a data frame and to specificy the column when calling <code>simulate_hiassay</code>.</p>
<div class="sourceCode" id="cb6"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb6-1" data-line-number="1">data =<span class="st"> </span><span class="kw"><a href="https://rdrr.io/r/base/data.frame.html">data.frame</a></span>(<span class="dt">ab_serum =</span> <span class="kw"><a href="https://rdrr.io/r/base/c.html">c</a></span>(<span class="dv">30</span>, <span class="dv">50</span>, <span class="dv">150</span>)) <span class="co"># nM</span></a>
<a class="sourceLine" id="cb6-2" data-line-number="2"></a>
<a class="sourceLine" id="cb6-3" data-line-number="3">assays &lt;-<span class="st"> </span><span class="kw"><a href="../reference/simulate_hiassay.html">simulate_hiassay</a></span>(</a>
<a class="sourceLine" id="cb6-4" data-line-number="4">   <span class="dt">ab_serum_conc =</span> data,</a>
<a class="sourceLine" id="cb6-5" data-line-number="5">   <span class="dt">K_d_app =</span> <span class="dv">1</span>, <span class="co"># nM</span></a>
<a class="sourceLine" id="cb6-6" data-line-number="6">   <span class="dt">ab_serum_colname =</span> <span class="st">"ab_serum"</span>, <span class="co"># Provide column name</span></a>
<a class="sourceLine" id="cb6-7" data-line-number="7">   <span class="dt">n_dilutions =</span> n_dil</a>
<a class="sourceLine" id="cb6-8" data-line-number="8">)</a>
<a class="sourceLine" id="cb6-9" data-line-number="9"></a>
<a class="sourceLine" id="cb6-10" data-line-number="10">titers &lt;-<span class="st"> </span><span class="kw"><a href="../reference/predict_titer.html">predict_titer</a></span>(assays)</a>
<a class="sourceLine" id="cb6-11" data-line-number="11"><span class="kw"><a href="https://rdrr.io/r/graphics/plot.html">plot</a></span>(titers)</a></code></pre></div>
<p><img src="himodel_files/figure-html/ex2-1.png" width="700"></p>
<div class="sourceCode" id="cb7"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb7-1" data-line-number="1"></a>
<a class="sourceLine" id="cb7-2" data-line-number="2">titers<span class="op">@</span>titer</a>
<a class="sourceLine" id="cb7-3" data-line-number="3"><span class="co">#&gt;   sample_id titer_predicted</span></a>
<a class="sourceLine" id="cb7-4" data-line-number="4"><span class="co">#&gt; 1         1              16</span></a>
<a class="sourceLine" id="cb7-5" data-line-number="5"><span class="co">#&gt; 2         2              16</span></a>
<a class="sourceLine" id="cb7-6" data-line-number="6"><span class="co">#&gt; 3         3              64</span></a></code></pre></div>
</div>
<div id="perform-assays-for-multiple-serum-samples-with-different-avidities" class="section level4">
<h4 class="hasAnchor">
<a href="#perform-assays-for-multiple-serum-samples-with-different-avidities" class="anchor"></a>3. Perform assays for multiple serum samples with different avidities</h4>
<p>To handle serum samples with different antibody concentrations and avidities, we currently require the following approach using the package <code>purrr</code>.</p>
<div class="sourceCode" id="cb8"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb8-1" data-line-number="1"><span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span>(purrr)</a>
<a class="sourceLine" id="cb8-2" data-line-number="2"></a>
<a class="sourceLine" id="cb8-3" data-line-number="3"><span class="co"># Create some data for 4 serum samples</span></a>
<a class="sourceLine" id="cb8-4" data-line-number="4">data =<span class="st"> </span><span class="kw"><a href="https://rdrr.io/r/base/data.frame.html">data.frame</a></span>(</a>
<a class="sourceLine" id="cb8-5" data-line-number="5">  <span class="dt">ID =</span> <span class="kw"><a href="https://rdrr.io/r/base/c.html">c</a></span>(<span class="dv">1</span>, <span class="dv">2</span>, <span class="dv">3</span>, <span class="dv">4</span>),</a>
<a class="sourceLine" id="cb8-6" data-line-number="6">  <span class="dt">ab_serum =</span> <span class="kw"><a href="https://rdrr.io/r/base/c.html">c</a></span>(<span class="dv">300</span>, <span class="dv">500</span>, <span class="dv">100</span>, <span class="dv">1000</span>),</a>
<a class="sourceLine" id="cb8-7" data-line-number="7">  <span class="dt">K_d_app =</span> <span class="kw"><a href="https://rdrr.io/r/base/c.html">c</a></span>(<span class="dv">10</span>, <span class="dv">1</span>, <span class="fl">0.01</span>, <span class="fl">0.1</span>)</a>
<a class="sourceLine" id="cb8-8" data-line-number="8">)</a>
<a class="sourceLine" id="cb8-9" data-line-number="9">data</a>
<a class="sourceLine" id="cb8-10" data-line-number="10"><span class="co">#&gt;   ID ab_serum K_d_app</span></a>
<a class="sourceLine" id="cb8-11" data-line-number="11"><span class="co">#&gt; 1  1      300   10.00</span></a>
<a class="sourceLine" id="cb8-12" data-line-number="12"><span class="co">#&gt; 2  2      500    1.00</span></a>
<a class="sourceLine" id="cb8-13" data-line-number="13"><span class="co">#&gt; 3  3      100    0.01</span></a>
<a class="sourceLine" id="cb8-14" data-line-number="14"><span class="co">#&gt; 4  4     1000    0.10</span></a>
<a class="sourceLine" id="cb8-15" data-line-number="15"></a>
<a class="sourceLine" id="cb8-16" data-line-number="16"><span class="co"># Perform HI assays for each serum sample and add sample_id</span></a>
<a class="sourceLine" id="cb8-17" data-line-number="17">.assays &lt;-<span class="st"> </span><span class="cf">function</span>(idx){</a>
<a class="sourceLine" id="cb8-18" data-line-number="18">  <span class="kw"><a href="../reference/simulate_hiassay.html">simulate_hiassay</a></span>(</a>
<a class="sourceLine" id="cb8-19" data-line-number="19">    <span class="dt">ab_serum_conc =</span> data<span class="op">$</span>ab_serum[idx],</a>
<a class="sourceLine" id="cb8-20" data-line-number="20">    <span class="dt">K_d_app =</span> data<span class="op">$</span>K_d_app[idx]</a>
<a class="sourceLine" id="cb8-21" data-line-number="21">  )<span class="op">@</span>data <span class="op">%&gt;%</span></a>
<a class="sourceLine" id="cb8-22" data-line-number="22"><span class="st">    </span>dplyr<span class="op">::</span><span class="kw"><a href="https://dplyr.tidyverse.org/reference/mutate.html">mutate</a></span>(<span class="dt">sample_id =</span> data<span class="op">$</span>ID[idx])</a>
<a class="sourceLine" id="cb8-23" data-line-number="23">}</a>
<a class="sourceLine" id="cb8-24" data-line-number="24"></a>
<a class="sourceLine" id="cb8-25" data-line-number="25">results &lt;-<span class="st"> </span>purrr<span class="op">::</span><span class="kw"><a href="https://purrr.tidyverse.org/reference/map.html">map_df</a></span>(</a>
<a class="sourceLine" id="cb8-26" data-line-number="26">  <span class="dv">1</span><span class="op">:</span><span class="kw"><a href="https://rdrr.io/r/base/nrow.html">nrow</a></span>(data), <span class="op">~</span><span class="st"> </span><span class="kw">.assays</span>(.)</a>
<a class="sourceLine" id="cb8-27" data-line-number="27">)</a>
<a class="sourceLine" id="cb8-28" data-line-number="28"></a>
<a class="sourceLine" id="cb8-29" data-line-number="29"><span class="co"># Now we can predict the HI titer for each serum sample</span></a>
<a class="sourceLine" id="cb8-30" data-line-number="30">results_titer &lt;-<span class="st"> </span><span class="kw"><a href="../reference/predict_titer.html">predict_titer</a></span>(results)</a>
<a class="sourceLine" id="cb8-31" data-line-number="31">results_titer<span class="op">@</span>titer</a>
<a class="sourceLine" id="cb8-32" data-line-number="32"><span class="co">#&gt;   sample_id titer_predicted</span></a>
<a class="sourceLine" id="cb8-33" data-line-number="33"><span class="co">#&gt; 1         1              16</span></a>
<a class="sourceLine" id="cb8-34" data-line-number="34"><span class="co">#&gt; 2         2             256</span></a>
<a class="sourceLine" id="cb8-35" data-line-number="35"><span class="co">#&gt; 3         3            1024</span></a>
<a class="sourceLine" id="cb8-36" data-line-number="36"><span class="co">#&gt; 4         4            4096</span></a>
<a class="sourceLine" id="cb8-37" data-line-number="37"></a>
<a class="sourceLine" id="cb8-38" data-line-number="38"><span class="co"># And plot the results</span></a>
<a class="sourceLine" id="cb8-39" data-line-number="39"><span class="kw"><a href="https://rdrr.io/r/graphics/plot.html">plot</a></span>(results_titer)</a></code></pre></div>
<p><img src="himodel_files/figure-html/ex3-1.png" width="700"></p>
</div>
<div id="model-input-factors" class="section level4">
<h4 class="hasAnchor">
<a href="#model-input-factors" class="anchor"></a>Model input factors</h4>
<p>The approach with <code>purrr</code> can be used to perform simulations for any varying model input, not only <code>K_d_app</code>:</p>
<div class="sourceCode" id="cb9"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb9-1" data-line-number="1"><span class="co"># Model parameters</span></a>
<a class="sourceLine" id="cb9-2" data-line-number="2">results_titer<span class="op">@</span>params <span class="co"># in nM and seconds</span></a>
<a class="sourceLine" id="cb9-3" data-line-number="3"><span class="co">#&gt; $K_d_app</span></a>
<a class="sourceLine" id="cb9-4" data-line-number="4"><span class="co">#&gt; [1] 10.00  1.00  0.01  0.10</span></a>
<a class="sourceLine" id="cb9-5" data-line-number="5"><span class="co">#&gt; </span></a>
<a class="sourceLine" id="cb9-6" data-line-number="6"><span class="co">#&gt; $r</span></a>
<a class="sourceLine" id="cb9-7" data-line-number="7"><span class="co">#&gt; [1] 400</span></a>
<a class="sourceLine" id="cb9-8" data-line-number="8"><span class="co">#&gt; </span></a>
<a class="sourceLine" id="cb9-9" data-line-number="9"><span class="co">#&gt; $e</span></a>
<a class="sourceLine" id="cb9-10" data-line-number="10"><span class="co">#&gt; [1] 3</span></a>
<a class="sourceLine" id="cb9-11" data-line-number="11"><span class="co">#&gt; </span></a>
<a class="sourceLine" id="cb9-12" data-line-number="12"><span class="co">#&gt; $e_star</span></a>
<a class="sourceLine" id="cb9-13" data-line-number="13"><span class="co">#&gt; [1] 3</span></a>
<a class="sourceLine" id="cb9-14" data-line-number="14"><span class="co">#&gt; </span></a>
<a class="sourceLine" id="cb9-15" data-line-number="15"><span class="co">#&gt; $k_ass_rbc</span></a>
<a class="sourceLine" id="cb9-16" data-line-number="16"><span class="co">#&gt; [1] 2e-06</span></a>
<a class="sourceLine" id="cb9-17" data-line-number="17"><span class="co">#&gt; </span></a>
<a class="sourceLine" id="cb9-18" data-line-number="18"><span class="co">#&gt; $k_diss_rbc</span></a>
<a class="sourceLine" id="cb9-19" data-line-number="19"><span class="co">#&gt; [1] 2e-04</span></a>
<a class="sourceLine" id="cb9-20" data-line-number="20"><span class="co">#&gt; </span></a>
<a class="sourceLine" id="cb9-21" data-line-number="21"><span class="co">#&gt; $b</span></a>
<a class="sourceLine" id="cb9-22" data-line-number="22"><span class="co">#&gt; [1] 450000</span></a>
<a class="sourceLine" id="cb9-23" data-line-number="23"><span class="co">#&gt; </span></a>
<a class="sourceLine" id="cb9-24" data-line-number="24"><span class="co">#&gt; $b_star</span></a>
<a class="sourceLine" id="cb9-25" data-line-number="25"><span class="co">#&gt; [1] 450000</span></a>
<a class="sourceLine" id="cb9-26" data-line-number="26"><span class="co">#&gt; </span></a>
<a class="sourceLine" id="cb9-27" data-line-number="27"><span class="co">#&gt; $k_agg</span></a>
<a class="sourceLine" id="cb9-28" data-line-number="28"><span class="co">#&gt; [1] 2e+06</span></a>
<a class="sourceLine" id="cb9-29" data-line-number="29"><span class="co">#&gt; </span></a>
<a class="sourceLine" id="cb9-30" data-line-number="30"><span class="co">#&gt; $alpha</span></a>
<a class="sourceLine" id="cb9-31" data-line-number="31"><span class="co">#&gt; [1] 15</span></a>
<a class="sourceLine" id="cb9-32" data-line-number="32"><span class="co">#&gt; </span></a>
<a class="sourceLine" id="cb9-33" data-line-number="33"><span class="co">#&gt; $h_0</span></a>
<a class="sourceLine" id="cb9-34" data-line-number="34"><span class="co">#&gt; [1] 0.25</span></a>
<a class="sourceLine" id="cb9-35" data-line-number="35"></a>
<a class="sourceLine" id="cb9-36" data-line-number="36"><span class="co"># Readout time</span></a>
<a class="sourceLine" id="cb9-37" data-line-number="37">results_titer<span class="op">@</span>t_readout <span class="co"># in seconds</span></a>
<a class="sourceLine" id="cb9-38" data-line-number="38"><span class="co">#&gt; [1] 1800</span></a>
<a class="sourceLine" id="cb9-39" data-line-number="39"></a>
<a class="sourceLine" id="cb9-40" data-line-number="40"><span class="co"># Initial concentration of virus or red blood cells </span></a>
<a class="sourceLine" id="cb9-41" data-line-number="41">results_titer<span class="op">@</span>init_conc <span class="co"># in nM</span></a>
<a class="sourceLine" id="cb9-42" data-line-number="42"><span class="co">#&gt; $virus_conc</span></a>
<a class="sourceLine" id="cb9-43" data-line-number="43"><span class="co">#&gt; [1] 0.00013</span></a>
<a class="sourceLine" id="cb9-44" data-line-number="44"><span class="co">#&gt; </span></a>
<a class="sourceLine" id="cb9-45" data-line-number="45"><span class="co">#&gt; $rbc_conc</span></a>
<a class="sourceLine" id="cb9-46" data-line-number="46"><span class="co">#&gt; [1] 3.114e-05</span></a></code></pre></div>
<p>To learn more about the model input variables, see <code>References</code> or call the help page:</p>
<div class="sourceCode" id="cb10"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb10-1" data-line-number="1">?simulate_hiassay</a>
<a class="sourceLine" id="cb10-2" data-line-number="2">?predict_titer</a></code></pre></div>
</div>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="sidebar">
      </div>

</div>



      <footer><div class="copyright">
  <p>Developed by Janina Linnik.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.4.1.</p>
</div>

      </footer>
</div>

  


  </body>
</html>
